"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Calculate the age.
 *
 * @param date - Birthdate.
 * @param now - Today's date.
 */
function age(date, now) {
    if (now === void 0) { now = Date.now(); }
    var birthDate = new Date(date);
    var today = new Date(now);
    var yearDiff = today.getFullYear() - birthDate.getFullYear();
    var monthDiff = today.getMonth() - birthDate.getMonth();
    var pastDate = today.getDate() - birthDate.getDate();
    if (monthDiff < 0 || (monthDiff === 0 && pastDate < 0)) {
        return yearDiff - 1;
    }
    return yearDiff;
}
exports.default = age;
//# sourceMappingURL=main.js.map